Show / Hide Table of Contents

# Class View.FocusEventArgs

Defines the event arguments for SetFocus(View)

##### Inheritance

System.Object
System.EventArgs
View.FocusEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class FocusEventArgs : EventArgs

### Constructors

#### FocusEventArgs()

Constructs.

##### Declaration

    public FocusEventArgs()

### Properties

#### Handled

Indicates if the current focus event has already been processed and the driver should stop notifying any other event subscriber. Its important to set this value to true specially when updating any View's layout from inside the subscriber method.

##### Declaration

    public bool Handled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |